Bug 666047

Summary: localize "Adding <locale> to language list"
Product: [Fedora] Fedora Reporter: A S Alam <aalam>
Component: yum-langpacksAssignee: Jens Petersen <petersen>
Status: CLOSED DEFERRED QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: ffesti, i18n-bugs, james.antill, lecotegougdelaforce, maxamillion, mshao, petersen, piotrdrag, pmatilai, tla, trans
Target Milestone: ---Keywords: i18n, Translation, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 666038 Environment:
Last Closed: 2012-02-24 02:25:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 666038    
Bug Blocks:    

Description A S Alam 2010-12-28 15:37:22 UTC
yum-langpacks-0.1.5-3.fc14.noarch

+++ This bug was initially created as a clone of Bug #666038 +++

Description of problem:
When asking for package installation or removal with yum, the user using non-English localization will be facing the following sentence :
"---> Package [some package] will be [local translation of "erased" or "installed"]"
in which the English words "Package" and "will be" are not localized.

This sentence is not translated either :
"Adding [locale] to language list"


Version-Release number of selected component (if applicable):
yum.noarch 0:3.2.28-14.fc15 (on F14)

--- Additional comment from aalam@redhat.com on 2010-12-28 20:59:45 IST ---

Bug need to move 'yum' package and 'yum plugins'

Comment 1 Jens Petersen 2011-01-14 02:31:25 UTC
Is this a request for translating "Adding <locale> to language list"?

Comment 2 A S Alam 2011-01-14 03:04:41 UTC
for internationalization actually, Is this string available somewhere for translation?

Comment 3 Skippy 2011-01-14 08:17:17 UTC
(In reply to comment #1)
> Is this a request for translating "Adding <locale> to language list"?

No, the first purpose was to translate "Package [some package] will be [local translation of "erased" or "installed"]", which mixes English and non-English words.  The sentence you are quoting is not internationalized either, but as it does not mix languages this is less an issue.

Comment 4 Jens Petersen 2011-01-14 12:18:11 UTC
(In reply to comment #2)
> for internationalization actually, Is this string available somewhere for
> translation?

Not yet - hence my question.

(In reply to comment #3)
> No, the first purpose was to translate "Package [some package] will be [local
> translation of "erased" or "installed"]", which mixes English and non-English
> words.  The sentence you are quoting is not internationalized either, but as it
> does not mix languages this is less an issue.

Ok the first quoted text has nothing to do with yum-langpacks.

Comment 5 Jens Petersen 2012-02-24 02:25:19 UTC
I don't think localizing yum-langpacks is such a high priority
so I will defer this for now.  If you feel otherwise please
re-open: I would like to see cleanup of yum translations though.

Maybe better source comments might help dunno?